### Method

# Ide ExtensionSetAdapter get_engine

#### Declaration

    PeasEngine*
    ide_extension_set_adapter_get_engine (
      IdeExtensionSetAdapter* self
    )

#### Description

Gets the `IdeExtensionSetAdapter:engine` property.

Available since: | 3.32

Gets property | `Ide.ExtensionSetAdapter:engine`

#### Return value

Returns: | `PeasEngine`
| A `PeasEngine`.
| The data is owned by the instance.